import request from '@/utils/request'

// 登录方法
export function login(username, password, code, uuid) {
  const data = {
    username,
    password,
    code,
    uuid
  }
  return request({
    baseUrl: process.env['VUE_APP_BASE_API'],
    url: '/authority/login',
    method: 'post',
    data: data
  })
}
// 刷新token
export function refreshToken(params) {
  return request({
    url: '/authority/system/user/refreshToken',
    method: 'put',
    params: params
  })
}
// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/authority/getInfo',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/authority/logout',
    method: 'post'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/authority/captchaImage',
    method: 'get'
  })
}
