import request from '@/utils/request'

// 查询岗位列表
export function listPost(query) {
  return request({
    url: '/authority/system/post/list',
    method: 'get',
    params: query
  })
}

// 查询岗位详细
export function getPost(postId) {
  return request({
    url: '/authority/system/post/' + postId,
    method: 'get'
  })
}

// 新增岗位
export function addPost(data) {
  return request({
    url: '/authority/system/post',
    method: 'post',
    data: data
  })
}

// 修改岗位
export function updatePost(data) {
  return request({
    url: '/authority/system/post',
    method: 'put',
    data: data
  })
}

// 删除岗位
export function delPost(postId) {
  return request({
    url: '/authority/system/post/' + postId,
    method: 'delete'
  })
}
// 查询字典类型
export function checkpostIdUnique(postCode) {
  return request({
    url: '/authority/system/post/checkpostIdUnique/?postCode=' + postCode,
    method: 'get'
  })
}
// 查询字典类型
export function checkpostNameUnique(postName) {
  return request({
    url: '/authority/system/post/checkpostNameUnique/?postName=' + postName,
    method: 'get'
  })
}

// 导出岗位
export function exportPost(query) {
  return request({
    url: '/authority/system/post/export',
    method: 'get',
    params: query
  })
}
